namespace IRaCIS.Core.Domain.Models;

[Comment("一致性分析临床数据")]
[Table("ReadingConsistentClinicalDataPDF")]
public class ReadingConsistentClinicalDataPDF : BaseAddAuditEntity
{
    #region 导航属性
    [JsonIgnore]
    [ForeignKey("ReadingConsistentClinicalDataId")]
    public ReadingConsistentClinicalData ReadingConsistentClinicalData { get; set; }
    #endregion

    [Comment("阅片临床数据ID")]
    public Guid ReadingConsistentClinicalDataId { get; set; }

    [StringLength(1000)]
    public string Path { get; set; } = string.Empty;
    public string FileName { get; set; } = string.Empty;

    public int Size { get; set; } = 0;

    [Comment("文件类型")]
    public string Type { get; set; } = string.Empty;
}
